/******************************************************************************/
/* MikMod Player Stub Interface.                                              */
/******************************************************************************/
/* This is part of the APlayer Programming Package (APPP).                    */
/* Copyright (C) 1998-2000 by The APlayer-Team.                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may only be used in APlayer related         */
/* software. If you want to use it elsewhere, please contact the author for a */
/* permission.                                                                */
/******************************************************************************/


#define _BUILDING_APLAYER_ADDON_

// APlayer headers
#include "AddOn_Import.h"

// Player headers
#include "MikMod.h"
#include "MikIcons.h"


/******************************************************************************/
/* Add-On function: Load()                                                    */
/******************************************************************************/
void Load(APGlobalData *global)
{
	// Install the mime type + icon
	global->InstallModType("audio/x-mikmod", "mik", "1-64 channels MikMod (UNIMOD) module", "MikMod Module", mikSmallIcon, mikLargeIcon);
}



/******************************************************************************/
/* Add-On function: Unload()                                                  */
/******************************************************************************/
void Unload(APGlobalData *global)
{
}



/******************************************************************************/
/* Add-On function: GetInstance()                                             */
/******************************************************************************/
APAddOn *GetInstance(APGlobalData *global)
{
	return (new MikMod(global));
}
